com.trendmicro.ds.platform.rest.object

## Class ListScriptsResponse

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.ListScriptsResponse

-     public class ListScriptsResponse
      extends java.lang.Object

  Response object for the ListScriptsResponse API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListScriptsResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ListScriptsResponse` | `addScript(Script script)` Add a script.
    `java.util.List<Script>` | `getScripts()` Get the list of scripts.
    `void` | `setScripts(java.util.List<Script> scripts)` Set the list of scripts.
    `ListScriptsResponse` | `withScripts(java.util.List<Script> scripts)` Set the list of scripts.
    `ListScriptsResponse` | `withScripts(Script... scripts)` Set the list of scripts.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListScriptsResponse

          public ListScriptsResponse()

  - ### Method Detail

    - #### getScripts

          public java.util.List<Script> getScripts()

      Get the list of scripts.
      Returns:
        the list of scripts.

    - #### setScripts

          public void setScripts(java.util.List<Script> scripts)

      Set the list of scripts.
      Parameters:
        `scripts` - the list of scripts.

    - #### withScripts

          public ListScriptsResponse withScripts(java.util.List<Script> scripts)

      Set the list of scripts.
      Parameters:
        `scripts` - the list of scripts.
      Returns:
        the updated ListScriptsResponse object.

    - #### withScripts

          public ListScriptsResponse withScripts(Script... scripts)

      Set the list of scripts.
      Parameters:
        `scripts` - the list of scripts.
      Returns:
        the updated ListScriptsResponse object.

    - #### addScript

          public ListScriptsResponse addScript(Script script)

      Add a script.
      Parameters:
        `script` - the script to add.
      Returns:
        the updated ListScriptsResponse object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.